Bug 488389 - RFE: Teach ifup-eth how to set peer address of a point to point interface
RFE: Teach ifup-eth how to set peer address of a point to point interface
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Patch, Reopened
: 243582 458343 (view as bug list)
Depends On:
Blocks: 516998 554686
  Show dependency treegraph
 
Reported: 2009-03-03 19:58 EST by Bojan Smojver
Modified: 2014-03-16 23:17 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 554686 (view as bug list)
Environment:
Last Closed: 2012-08-16 17:42:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to recognise PEER keyword and set address accordingly (837 bytes, patch)
2009-03-03 19:58 EST, Bojan Smojver
no flags Details | Diff
Patch to recognise PEER keyword and set address accordingly (827 bytes, patch)
2009-03-03 20:08 EST, Bojan Smojver
no flags Details | Diff

  None (edit)
Description Bojan Smojver 2009-03-03 19:58:08 EST
Created attachment 333958 [details]
Patch to recognise PEER keyword and set address accordingly

Description of problem:
Some ethernet interfaces are in fact point to point (e.g. machine connected to an ADSL router running half bridge), so it would be useful to just say PEER=address/bits in the config file and be done with it.

Version-Release number of selected component (if applicable):
initscripts-8.89-2

Additional info:
Sample patch attached. This is admittedly against F-10 initscripts, but you'll get the point.
Comment 1 Bojan Smojver 2009-03-03 20:08:39 EST
Created attachment 333959 [details]
Patch to recognise PEER keyword and set address accordingly

Local address cannot have prefix if peer is used (according to ip manual page).
Comment 2 Bill Nottingham 2009-03-20 17:09:50 EDT
*** Bug 458343 has been marked as a duplicate of this bug. ***
Comment 3 Bill Nottingham 2009-03-20 17:11:10 EDT
*** Bug 243582 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2009-06-09 07:50:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-11-04 07:28:37 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-05 01:59:55 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Bojan Smojver 2011-03-29 16:58:21 EDT
So, any chance we have something like this implemented?
Comment 12 Karel Volný 2011-07-15 05:27:10 EDT
(In reply to comment #11)
> So, any chance we have something like this implemented?

hm, looking at the subject, the affected component "initscripts" and considering that NetworkManager is now preferred, I don't think there is any interest in fixing this ... but this is just my rough guess

OTOH, if there is a patch ready, which doesn't seem to break anything (if [ -z "${PEER}" ] ... keeps the original behaviour), I think the package owner could do you a favour and include the patch on next update ...

Bill, what'd you say?
Comment 13 David Woodhouse 2011-07-16 01:52:53 EDT
Initscripts still supports a number of use cases that NetworkManager doesn't, and probably doesn't even *want* to. I don't think we can abandon it yet.
Comment 14 Fedora End Of Life 2012-08-16 17:42:11 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.